Uploaded image for project: 'EJBCA'
  1. EJBCA
  2. ECA-9275

Database protection compatibility code should skip automatic upgrade

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: EJBCA 7.4.1
    • Fix Version/s: EJBCA 7.4.1
    • Component/s: None
    • Labels:
    • Provenance:
      Internal Delivery
    • Issue discovered during:
      Jenkins

      Description

      In EJBCA 6.12-6.14 we accidentally broke compatibility with certificate profiles from earlier versions, when using database protection. This change was reverted in EJBCA 6.14.1.1 (ECA-7277), and special code was added to be compatible with the broken versions.

      This compatibility code reads the certificate profiles in a way that triggers an automatic upgrade. Now that we add new fields to certificate profiles (and hence a new version, triggering an upgrade), we must bypass the upgrade.

      This does not affect any released versions, only SVN. But it is causing a test failure in Eca7277RegressionTest.certificateProfileCreatedInEjbca614Verifies on Jenkins.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              samuel Samuel Lidén Borell
              Reporter:
              samuel Samuel Lidén Borell
              Verified by:
              Lauri Kongas
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 2 hours
                  2h